CHOWN(1)

NOME
chown - altera o proprietário e o grupo do arquivo

SINOPSE
chown [OPÇÃO]... [DONO][:[GRUPO]] ARQUIVO...
chown [OPÇÃO]... --reference=ARQREF ARQUIVO...

DESCRIÇÃO
Esta página de manual documenta a versão GNU de chown. chown altera o dono do usuário e/ou grupo de cada arquivo fornecido. Se apenas um dono (um nome de usuário ou ID numérico de usuário) for fornecido, esse usuário se tornará o dono de cada arquivo fornecido e o grupo de arquivos não será alterado. Se o dono for seguido por dois pontos e um nome de grupo (ou ID numérico do grupo), sem espaços entre eles, a propriedade do grupo dos arquivos também é alterada. Se dois pontos, mas nenhum nome de grupo seguir o nome do usuário, esse usuário se tornará o proprietário dos arquivos e o grupo dos arquivos será alterado para o grupo de login desse usuário. Se os dois pontos e o grupo forem fornecidos, mas o dono for omitido, apenas o grupo dos arquivos será alterado; neste caso, chown executa a mesma função que chgrp. Se apenas dois pontos forem fornecidos, ou se todo o operando estiver vazio, nem o dono nem o grupo serão alterados.

OPÇÕES

Altera o dono e/ou grupo de cada ARQUIVO para DONO e/ou GRUPO. Com --reference, altera o dono e grupo de cada ARQUIVO para o de ARQREF.

-c, --changes
    como verbose, mas só relata quando há alteração

-f, --silent, --quiet
    suprime a maioria das mensagens de erro

-v, --verbose
    emite um diagnóstico para cada arquivo processado

--dereference
    afeta a referência de cada link simbólico em vez do próprio link em si (isso é o padrão)

-h, --no-dereference
    afeta os links simbólicos em vez dos arquivos referenciados por eles (útil somente em sistemas que permitem mudar o dono de um link simbólico)

--from=DONO_ATUAL:GRUPO_ATUAL
    change the ownership of each file only if its current owner and/or group match those specified here. Either may be omitted, in which case a match is not required for the omitted attribute

--no-preserve-root
    não trata "/" de forma diferenciada (o padrão)

--preserve-root
    falha ao operar recursivamente em "/"

--reference=RARQUIVO
    use RFILE's ownership rather than specifying values RFILE is always dereferenced if a symbolic link.

-R, --recursive
    opera em arquivos e diretórios recursivamente

The following options modify how a hierarchy is traversed when the -R option is also specified. If more than one is specified, only the final one takes effect. '-P' is the default.

-H  se um argumento da linha de comando for um link simbólico para diretório, percorre-o

-L  percorre todo link simbólico para diretório que for encontrado

-P  do not traverse any symbolic links

--help
    mostra esta ajuda e sai

--version
    informa a versão e sai

O dono, caso não seja informado, permanece inalterado. O grupo também não é alterado se não informado, mas mudará para o grupo de login se deixado implícito por ":" após um DONO simbólico. DONO e GRUPO podem ser numéricos bem como simbólicos.

EXEMPLOS

chown root /u
    Altera o dono de /u para "root".

chown root:equipe /u
    Idem, mas também altera seu grupo para "equipe".

chown -hR root /u
    Altera o dono de /u e seus arquivos para "root".

AUTOR
Escrito por David MacKenzie e Jim Meyering.

RELATANDO PROBLEMAS
Página de ajuda do GNU coreutils: <https://www.gnu.org/software/coreutils/>
Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>.

DIREITOS AUTORAIS
Copyright © 2024 Free Software Foundation, Inc. Licença GPLv3+: GNU GPL versão 3 ou posterior <https://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
chown(2)

Documentação completa <https://www.gnu.org/software/coreutils/chown>
ou disponível localmente via: info '(coreutils) chown invocation'

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por André Luiz Fassone <lonely_wolf@ig.com.br>, Roberto Selbach Teixeira <robteix@zaz.com.br> e Rafael Fontenelle <rafaelff@gnome.org>.

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).